//
//  RNDailymotionSdkView.swift
//  react-native-dailymotion-sdk
//
//  Created by iPad Developer on 03.03.23.
//

import Foundation
import DailymotionPlayerSDK

public class RCTDailyMotionPlayer : UIView {
    
    @objc var playerData: NSDictionary = [:]
    @objc var onPlayerEvent: RCTDirectEventBlock?;
    @objc var onPlayerError: RCTDirectEventBlock?;
    
    private var initialized: Bool = false;
    private var viewController: RCTDailyMotionPlayerController? = nil
    
    override init(frame: CGRect) {
        super.init(frame: frame);
        self.frame = frame;
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    public override func didSetProps(_ changedProps: [String]!) {
        if (!initialized) {
            
            viewController = RCTDailyMotionPlayerController(playerData: playerData)
            if (viewController != nil) {
                self.addSubview((viewController?.view)!)
                self.bringSubviewToFront((viewController?.view)!)
                viewController?.setPlayerEventCallback(onPlayerEvent)
                viewController?.setPlayerErrorCallback(onPlayerError)
                viewController?.play(playerData)
            }
            
            initialized = true;
        }
    }
    
    public override func reactSetFrame(_ frame: CGRect) {
        super.reactSetFrame(frame);
        self.frame = frame;
        
        let relativeFrame = CGRect(x: 0, y: 0, width: frame.width, height: frame.height)
        viewController?.setFrame(relativeFrame)
        
    }
    
    @objc public func play() {
        viewController?.play()
    }
    
    @objc public func pause() {
        viewController?.pause()
    }
    
    @objc public func seek(_ seconds: NSNumber) {
        viewController?.seek(seconds)
    }
    
    @objc public func mute() {
        viewController?.mute()
    }
    
    @objc public func unmute() {
        viewController?.unmute()
    }
}
